View Issue Details

IDProjectCategoryView StatusLast Update
0016855MediaMonkey 5Generalpublic2021-01-16 14:49
Reporterpeke Assigned To 
PriorityurgentSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Summary0016855: d_iphone: Crash while deleting playlist during device scanning
DescriptionMMW can freeze and crash if user do not wait for MM finish scanning the device and tries to delete playlist

It happen to me on one occasion, but it happens to user on regular basis (during remote session)

MY LOG ID: 77183ACC (iPod Touch 4G)

ELF sent offline in case it is not sent automatically.
Steps To Reproduce1. Start MM
2. Connect iPod
3. Wait till "(Scanning)" shows
4. Expand playlists
5. Right click on any playlist
6. Remove

Sometime it crashes sometimes not.
TagsNo tags attached.
Fixed in build2262

Activities

Ludek

2020-08-05 20:56

developer   ~0059247

Last edited: 2020-08-05 20:56

View 2 revisions

I cannot replicate and I don't see log 77183ACC here.

Peke, please try whether it is reproducible in MM5 and attach log id or ELF.

If it is not reproducible in MM5 then just mark it as resolved in 5.0.0

Ludek

2020-08-06 09:49

developer   ~0059251

Last edited: 2020-08-06 09:52

View 3 revisions

The ELF you sent me has exception ID 0B4D and it really came on 07/27/2020

It is a freeze log while deleting the iPod playlist as the playlist deletion is performed on UI thread and it is waiting for the scan to finish.
This no longer happens in MM5 (as all such actions are performed asynchronously in MM5).
So use MM5 or MM4 regular (not debug).

Resolved as fixed in 5.0.0

peke

2020-08-06 10:28

developer   ~0059253

You are right tested in 2262

No freeze in 2262 and like you said such operations are moved to background thread asynchronously of UI.

Closing